# Battle Academia - Fun Way to Achieve
This is an android base application written during a hackathon session. Main idea is to create an app that will gamify real-world learning to make it more fun. The entire application was built within about 3 hours during very late and sleepless night as a fun side project to our team's main application. Therefore, the application may contain bugs and has not been tested. Also, it is not a polished product ready for publishing.

The application has 4 main activities.
1. Hero
1. Study
1. Battle
1. Store
## Main screen
Once the application opens, user is greeted with this main screen where the user can choose their action.

![image](images/main.png)

## Hero Activity
Hero screen contains user character's photo and its stats.
- Health: Represented by amount of studying done in minutes.
- Gold: After battle, if won, user will earn gold amount of (Health - Boss strength) to use in store activity.
- Wins: Total count of battles won.
- Loss: Total count of battles lost.
The study button will take user to the study activity.

![Image](images/hero.png)

## Study Activity
Here, users can apply amount of time they have spent on studying. Below is an example of 90 minutes study session and we can see that it has been reflected to the hero statistic.

![Image](images/study.png)

![Image](images/hero2.png)

## Battle Activity
This is where user can enter any upcoming landmarks. It can be exams or quizzes (referred to as Boss) where the user has to prepare for. User can enter name for the boss as well as amount of time the user should study to overcome it in a form of "strength".

![Image](images/battle.png)

User can then study for these and "fight" them once the user have enough health.

## Store Activity
This is the page where user can store their "wish list". It could be a product or any other self-reaward the user is looking for. Once the user win against enough bosses, they can gain golds to actually reward themselves in real world. Pricing set within the app can be arbitary, as long as it seems fair to the user.

![Image](images/study.png)